Projects
Add User To Project
Add a user to a project with the specified role.
If the person has no Aspect account yet, they’re invited by email.
Requirements:
- Requires FULL_ACCESS on the project
- Cannot set project permissions for workspace owners (they always have full access)
- If the user doesn’t have workspace access, auto-creates member_limited workspace permission,
which takes a seat; only a workspace admin’s add can buy that seat (
purchase_seat)
Role must be a valid project role: full_access, editor, commenter, downloader, viewer
POST
Add User To Project
Authorizations
Body
application/json
Add a person to a project. If the email has no Aspect account yet, the person is invited.
Response
Successful Response
API response schema for a user with project access.
Add User To Project